import 'package:flutter/material.dart';
import '../../../../core/constants/colors.dart';

class CustomListTile extends StatelessWidget {
  final IconData icon;
  final String label;
  final VoidCallback onTap;

  const CustomListTile({
    Key? key,
    required this.icon,
    required this.label,
    required this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      borderRadius: BorderRadius.circular(10),
      splashColor: Colors.blueAccent.withOpacity(0.2),
      child: ListTile(
        leading: Icon(icon, color: AppColors.accentColor),
        title: Text(
          label,
          style: const TextStyle(color: Colors.white, fontWeight: FontWeight.w600),
        ),
      ),
    );
  }
}
